<nav class="navbar is-primary" role="navigation" aria-label="main navigation">
  <div class="container">

    <div class="navbar-brand">
      <span class="navbar-item">
        <img src="{{ url('img/favicon.png') }}">
      </span>

      <a role="button" class="navbar-burger" aria-label="menu" aria-expanded="false" data-target="menu">
        <span aria-hidden="true"></span>
        <span aria-hidden="true"></span>
        <span aria-hidden="true"></span>
      </a>
    </div> {# end .navbar-brand #}

    <div id="menu" class="navbar-menu">
      <div class="navbar-start">
        <a class="navbar-item" href="{{ url('/') }}">
          Home
        </a>

        {% if hasAccess('write') %}
          <a class="navbar-item" href="{{ url('manage') }}">
            Parking Management
          </a>
        {% endif %}

        {% if hasAccess('admin') %}
          <a class="navbar-item" href="{{ url('admin') }}">
            Administration
          </a>
        {% endif %}

        <div class="navbar-item has-dropdown is-hoverable">
          <a class="navbar-link">
            More
          </a>

          <div class="navbar-dropdown">
            <a class="navbar-item" href="{{ url('about') }}">
              About
            </a>
            <hr class="navbar-divider">
            <a class="navbar-item">
              Source Code
            </a>
          </div>
        </div>
      </div> {# end .navbar-start #}

      <div class="navbar-end">
        {% if isAuthenticated %}
            <div class="navbar-item">
                Welcome,&nbsp;<u>{{ user.username }}</u>!
            </div>
        {% endif %}
        <div class="navbar-item">
          <div class="buttons">
            {% if isAuthenticated %}
              <a class="button is-light" href="{{ url('account') }}">
                Account
              </a>
              <a class="button is-light" href="{{ url('logout') }}">
                Log out
              </a>
            {% else %}
              <a class="button is-light" href="{{ url('login') }}">
                Log in
              </a>
            {% endif %}
          </div>
        </div>
      </div>

    </div> {# end .navbar-menu #}
  </div> {# end .container #}
</nav>
